// include
//-------------------------------------
#include <windows.h>


// prototypes
//--------------------------
extern bool dllOpen( HINSTANCE instance );
extern void dllClose( void );


// init routines
//-------------------------------------
BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
   // dll requests
	switch(fdwReason)
   {
   case DLL_PROCESS_DETACH:
      dllClose();
      break;
   case DLL_THREAD_DETACH:
      return TRUE;
   case DLL_THREAD_ATTACH:
   case DLL_PROCESS_ATTACH:
      if(dllOpen(hinstDLL) == false)
      {
         dllClose();
         return FALSE;
      }
      return TRUE;
   }

   return FALSE;
}